\section{Frequency Stabilization Servo}
\label{sec:fss}

\input{CTN/figureTex/FSS_OLTFs}

Fig.~\ref{fig:complete_schematic} shows some parts of the frequency
stabilization servo (FSS) used to lock the two \gls{NPRO} lasers independently
to the two cavities. This is a critical element of the experiment as this
control loop ensures that our laser frequency tracks any minute changes in
cavity length without getting saturated by intrinsic noise up to roughly 200
kHz.

Sidebands of 36 MHz and 37 MHz are created via broadband New Focus 4004
Electro-Optics Modulators (EOM) with a modulation depth of 0.3 radians in the
North and South paths respectively. These EOMs were driven by custom-built
resonant EOM drivers\cite{D1200794}, amplifying clean modulation signal by
about 44 dB. The RF frequency source was provided by Oven Controlled Crystal
Oscillators (Custom parts from Wenzel Associates Inc. with less than
$165~\text{dBc}/\sqrt{\text{Hz}}$ phase noise at 1 kHz).

A conventional \gls{PDH} setup is used to read the error signal by separating
reflection signals from cavities using Faraday isolators (FI in
Fig.~\ref{fig:complete_schematic}). Custom-built resonant photodiodes with both
active and passive notches at 2-Omega frequencies are used to read the error
signals (here Omega refers to phase modulation frequency). It was found that
rejecting the 2-Omega frequency by a margin of about 46 dB with respect to the
resonant 1-Omega peak is essential to ensure the linearity of mixers and avoid
slew rate saturation in the electronics downstream. This ensures the smooth
performance of FSS without saturation of any of the actuators.

The main servo for this control loop uses the LIGO $3^{\text{rd}}$ generation
Table Top Frequency Stabilization Servo~\cite{E1700065}. There are two outputs
from this servo, one for NPRO laser \gls{PZT} which carries the noise
suppression load up to about 10 kHz, and a second, for an EOM placed upstream
in the path for fast actuation enabling unity gain frequencies up to 200 kHz
and 300 kHz for the North and South paths respectively. The \gls{RMS} value of
the PZT actuation signal is also calculated in analog electronics and sent to
an ADC. A Python \gls{PID} script samples the low-frequency drift of the PZT
actuation signal which is fed back to actuate on the temperature of NPRO
crystal for slow and coarse correction. This ensures that the DC offset of NPRO
PZT does not rail too far out and the NPRO PZT stays in a comfortable position
(not too stretched, not too compressed). This maximizes the available dynamic
range for the actuator and hence the bandwidth. Fig.~\ref{fig:FSS_OLTFs} shows
the full open-loop transfer function for this control loop including all the
actuators resulting in suppression of frequency noise of free-running NPRO
laser to the order of $10^5$ in the frequency region of interest.
